Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions(), NavigationItem(False), CreatableItem(False)> _
Public Class APCSheetByProductsSalesPolicyR 'Értékesítési szándéknyilatkozat sor termeltetési szerződéshez
    Inherits BaseObject

    Private _APCSheetByProductsSalesPolicyH As APCSheetByProductsSalesPolicyH
    Private _APCSheetByProducts As APCSheetByProducts
    Private _ContractQuantityForSales As Double 'Eladási mennyiség

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    <Association("APCSheetByProductsSalesPolicyH - APCSheetByProductsSalesPolicyR", GetType(APCSheetByProductsSalesPolicyH)), VisibleInListView(False)> _
    Property APCSheetByProductsSalesPolicyH As APCSheetByProductsSalesPolicyH
        Get
            Return _APCSheetByProductsSalesPolicyH
        End Get
        Set(value As APCSheetByProductsSalesPolicyH)
            SetPropertyValue("APCSheetByProductsSalesPolicyH", _APCSheetByProductsSalesPolicyH, value)
        End Set
    End Property
    <RuleRequiredField("APCSheetByProductsSalesPolicyR - APCSheetByProducts", DefaultContexts.Save)>
    <ImmediatePostData(True), DataSourceCriteria("APCSheetHeader = '@This.APCSheetByProductsSalesPolicyH.APCSheetHeader'")>
    Property APCSheetByProducts As APCSheetByProducts
        Get
            Return _APCSheetByProducts
        End Get
        Set(value As APCSheetByProducts)
            SetPropertyValue("APCSheetByProducts", _APCSheetByProducts, value)
        End Set
    End Property
    <RuleRequiredField("APCSheetByProductsSalesPolicyR - ContractQuantityForSales", DefaultContexts.Save)> _
    Property ContractQuantityForSales As Double
        Get
            Return _ContractQuantityForSales
        End Get
        Set(value As Double)
            SetPropertyValue("ContractQuantityForSales", _ContractQuantityForSales, value)
        End Set
    End Property
End Class
